| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Private Attributes

# IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck Class Reference

Defines a parametric definition of a snail shell - like surface (a parametric surface) in form of 3D vector function of 2 variables. WARNING: Function of this class must be re-checked. More...

Inheritance diagram for IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck:
[legend]
Collaboration diagram for IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck:
[legend]

List of all members.

## Public Member Functions
| SnailConicSpiral_ToCheck ()
| Constructs parametric definition of a snail shell-like parametric surface with some default parameters.
| SnailConicSpiral_ToCheck (double a, double b, double c, double n)
| Creates a parametric definition of a snail shell/like surface with the specified parameters.
## Public Attributes
double | a = 0.2
## Protected Member Functions
override double | f1 (double u, double v)
override double | f2 (double u, double v)
override double | f3 (double u, double v)
## Private Attributes
double | b = 0.1
double | c = 0
double | n = 2

## Detailed Description

Defines a parametric definition of a snail shell - like surface (a parametric surface) in form of 3D vector function of 2 variables.

WARNING: Function of this class must be re-checked.

See also: http://www.vtk.org/VTK/img/ParametricSurfaces.pdf (parameterization is taken from there).

$A Igor Oct11;

## Constructor & Destructor Documentation

IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck::SnailConicSpiral_ToCheck | ( |  | ) | `[inline]`

Constructs parametric definition of a snail shell-like parametric surface with some default parameters.

IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck::SnailConicSpiral_ToCheck | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | n
| ) |  | `[inline]`

Creates a parametric definition of a snail shell/like surface with the specified parameters.

Parameters:

  a | Ratio between spiral diameter and height of one turn.
  b |
  c | Defines radius of free space spiral turns. 0 means there is no hole in the middle.
  n | Number of full turns of the spiral.

## Member Function Documentation

override double IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck::f1 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

override double IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck::f2 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

override double IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck::f3 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

## Member Data Documentation

double IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck::a = 0.2

double IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck::b = 0.1`[private]`

double IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck::c = 0`[private]`

double IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck::n = 2`[private]`

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events